﻿@model DataBaseFinalProject.ViewModels.CreateIncomeCategoryViewModel

@{
    ViewBag.Title = "Edit income category";
    Layout = "_Layout";
}

<h2>@ViewBag.Title</h2>

@using (Html.BeginForm("Edit", "IncomeCategory", FormMethod.Post))
{
    @Html.HiddenFor(model => model.IncomeCategory.Id)
    
    <div class="form-group">
        <label for="ClientId">Choose user:</label>
        <select id="ClientId" name="IncomeCategory.UserId" class="form-control">
            <option value="">Choose user</option>
            @foreach (var user in Model.Users)
            {
                var selected = user.Id == Model.IncomeCategory.UserId ? "selected" : "";
                <option value="@user.Id" selected="@selected">@user.Nickname</option>
            }
        </select>
    </div>
    
    <div class="form-group">
        <label asp-for="IncomeCategory.Name">Category name:</label>
        <input asp-for="IncomeCategory.Name" class="form-control" />
        <span asp-validation-for="IncomeCategory.Name" class="text-danger"></span>
    </div>
    
    <div class="form-group">
        <label asp-for="IncomeCategory.CreatedAt">CreatedAt:</label>
        <input asp-for="IncomeCategory.CreatedAt" class="form-control" />
        <span asp-validation-for="IncomeCategory.CreatedAt" class="text-danger"></span>
    </div>

    <button type="submit" class="btn btn-primary">Save</button>
}